include	clib.inc
include	mouse.inc
include	conio.inc

DPROC	@scpath
	push	ds	; (BL x, BH y, CH at, CL max, DX:AX name)
	push	si
	push	di
	push	dx
	push	cx
	push	bx
	call	@getxyp
	mov	ch,0
	call	@wcpath
	test	ax,ax
	jz	scpath_01
    scpath_00:
	movsb
	inc	di
	dec	cx
	jnz	scpath_00
    scpath_01:
  ifdef __MOUSE__
	call	mouseshow
  endif
	pop	bx
	pop	cx
	pop	dx
	pop	di
	pop	si
	pop	ds
	ret
PEND	@scpath

	END
